Git Fehlermeldung. Node-RED Projekt lässt sich nicht "pushen"

Einrichtung, Nutzung und Hilfe zu RaspberryMatic (OCCU auf Raspberry Pi)

Moderatoren: jmaus, Co-Administratoren

Antworten
HenningK
Beiträge: 178
Registriert: 22.09.2012, 20:56
Hat sich bedankt: 2 Mal
Danksagung erhalten: 9 Mal

Git Fehlermeldung. Node-RED Projekt lässt sich nicht "pushen"

Beitrag von HenningK » 10.01.2021, 20:12

Hallo. Meine CCU3 habe ich vorgestern gegen einen Raspberry Pi 4 getauscht. Es funktioniert alles bis auf Node-RED push des Projektes (Node-RED flows). Unten sind die eingesetzten Versionen angehängt.

Wenn ich über putty gehe und

Code: Alles auswählen

source /usr/local/addons/redmatic/home/.profile
und dann im Projektverzeichnis

Code: Alles auswählen

git status
eingebe, kommt auch der Hinweis, dass mein "Repository 2 commits" behind ist.

Code: Alles auswählen

git push
liefet dann die Fehlermeldung:

Code: Alles auswählen

/usr/local/addons/redmatic/libexec/git-core/git-remote-https: error while loading shared libraries: libcurl.so.4: wrong ELF class: ELFCLASS64
Hat jemand eine Idee, wie das Problem beheben kann?

Versionen.
Git version ist 2.16.1
Screenshot 2021-01-10 200243.png

Benutzeravatar
jmaus
Beiträge: 6912
Registriert: 17.02.2015, 14:45
System: Alternative CCU (auf Basis OCCU)
Wohnort: Dresden
Hat sich bedankt: 132 Mal
Danksagung erhalten: 600 Mal
Kontaktdaten:

Re: Git Fehlermeldung. Node-RED Projekt lässt sich nicht "pushen"

Beitrag von jmaus » 10.01.2021, 20:23

Am besten meldest du das mal dem Autor von RedMatic, denn der kann da besser/direkter helfen weil es ja ein Problem in redmatic betrifft und weniger ein problem in RaspberryMatic selbst.
RaspberryMatic 3.53.34.20201121 @ ESXi, ~190 Hm-RF/HmIP-RF/HmIPW Geräte, ioBroker – RaspberryMatic GitHub Projekt / Twitter

HenningK
Beiträge: 178
Registriert: 22.09.2012, 20:56
Hat sich bedankt: 2 Mal
Danksagung erhalten: 9 Mal

Re: Git Fehlermeldung. Node-RED Projekt lässt sich nicht "pushen"

Beitrag von HenningK » 10.01.2021, 21:20

.. ok habe ich gemacht. Ich dachte, ihr "shared" vielleicht die git Installation und hier im Forum gab es bereits Meldungen bzgl. ELFCLASS64.
Danke für die schnelle Antwort.

Antworten

Zurück zu „RaspberryMatic“